Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc
Interface JavaCodingStandardCheckerConstants

All Known Implementing Classes:
  JavaCodingStandardCheckerTokenManager, JavaCodingStandardChecker

public interface JavaCodingStandardCheckerConstants

Field Summary
`static int` | `_DEFAULT`
`static int` | `ABSTRACT`
`static int` | `ANDASSIGN`
`static int` | `ASSERT`
`static int` | `ASSIGN`
`static int` | `BANG`
`static int` | `BIT_AND`
`static int` | `BIT_OR`
`static int` | `BOOLEAN`
`static int` | `BREAK`
`static int` | `BYTE`
`static int` | `CASE`
`static int` | `CATCH`
`static int` | `CHAR`
`static int` | `CHARACTER_LITERAL`
`static int` | `CLASS`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONST`
`static int` | `CONTINUE`
`static int` | `DECIMAL_LITERAL`
`static int` | `DECR`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DO`
`static int` | `DOT`
`static int` | `DOUBLE`
`static int` | `ELSE`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `EXPONENT`
`static int` | `EXTENDS`
`static int` | `FALSE`
`static int` | `FINAL`
`static int` | `FINALLY`
`static int` | `FLOAT`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `FOR`
`static int` | `GE`
`static int` | `GOTO`
`static int` | `GT`
`static int` | `HEX_LITERAL`
`static int` | `HOOK`
`static int` | `IDENTIFIER`
`static int` | `IF`
`static int` | `IMPLEMENTS`
`static int` | `IMPORT`
`static int` | `IN_JAVADOC_COMMENT`
`static int` | `IN_MULTI_LINE_COMMENT`
`static int` | `IN_SINGLE_LINE_COMMENT`
`static int` | `INCR`
`static int` | `INSTANCEOF`
`static int` | `INT`
`static int` | `INTEGER_LITERAL`
`static int` | `INTERFACE`
`static int` | `JAVADOC_COMMENT`
`static int` | `LBRACE`
`static int` | `LBRACKET`
`static int` | `LE`
`static int` | `LETTER`
`static int` | `LONG`
`static int` | `LPAREN`
`static int` | `LSHIFT`
`static int` | `LSHIFTASSIGN`
`static int` | `LT`
`static int` | `MINUS`
`static int` | `MINUSASSIGN`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `NATIVE`
`static int` | `NE`
`static int` | `NEW`
`static int` | `NULL`
`static int` | `OCTAL_LITERAL`
`static int` | `ORASSIGN`
`static int` | `PACKAGE`
`static int` | `PLUS`
`static int` | `PLUSASSIGN`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `RBRACE`
`static int` | `RBRACKET`
`static int` | `REM`
`static int` | `REMASSIGN`
`static int` | `RETURN`
`static int` | `RPAREN`
`static int` | `RSIGNEDSHIFT`
`static int` | `RSIGNEDSHIFTASSIGN`
`static int` | `RUNSIGNEDSHIFT`
`static int` | `RUNSIGNEDSHIFTASSIGN`
`static int` | `SC_AND`
`static int` | `SC_OR`
`static int` | `SEMICOLON`
`static int` | `SHORT`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `SLASH`
`static int` | `SLASHASSIGN`
`static int` | `STAR`
`static int` | `STARASSIGN`
`static int` | `STATIC`
`static int` | `STRICTFP`
`static int` | `STRING_LITERAL`
`static int` | `SUPER`
`static int` | `SWITCH`
`static int` | `SYNCHRONIZED`
`static int` | `THIS`
`static int` | `THROW`
`static int` | `THROWS`
`static int` | `TILDE`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRANSIENT`
`static int` | `TRUE`
`static int` | `TRY`
`static int` | `VOID`
`static int` | `VOLATILE`
`static int` | `WHILE`
`static int` | `XOR`
`static int` | `XORASSIGN`

Field Detail

### EOF

    public static final int EOF

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

### JAVADOC_COMMENT

    public static final int JAVADOC_COMMENT

### ABSTRACT

    public static final int ABSTRACT

### BOOLEAN

    public static final int BOOLEAN

### BREAK

    public static final int BREAK

### BYTE

    public static final int BYTE

### CASE

    public static final int CASE

### CATCH

    public static final int CATCH

### CHAR

    public static final int CHAR

### CLASS

    public static final int CLASS

### CONST

    public static final int CONST

### CONTINUE

    public static final int CONTINUE

### _DEFAULT

    public static final int _DEFAULT

### DO

    public static final int DO

### DOUBLE

    public static final int DOUBLE

### ELSE

    public static final int ELSE

### EXTENDS

    public static final int EXTENDS

### FALSE

    public static final int FALSE

### FINAL

    public static final int FINAL

### FINALLY

    public static final int FINALLY

### FLOAT

    public static final int FLOAT

### FOR

    public static final int FOR

### GOTO

    public static final int GOTO

### IF

    public static final int IF

### IMPLEMENTS

    public static final int IMPLEMENTS

### IMPORT

    public static final int IMPORT

### INSTANCEOF

    public static final int INSTANCEOF

### INT

    public static final int INT

### INTERFACE

    public static final int INTERFACE

### LONG

    public static final int LONG

### NATIVE

    public static final int NATIVE

### NEW

    public static final int NEW

### NULL

    public static final int NULL

### PACKAGE

    public static final int PACKAGE

### PRIVATE

    public static final int PRIVATE

### PROTECTED

    public static final int PROTECTED

### PUBLIC

    public static final int PUBLIC

### RETURN

    public static final int RETURN

### SHORT

    public static final int SHORT

### STATIC

    public static final int STATIC

### SUPER

    public static final int SUPER

### SWITCH

    public static final int SWITCH

### SYNCHRONIZED

    public static final int SYNCHRONIZED

### THIS

    public static final int THIS

### THROW

    public static final int THROW

### THROWS

    public static final int THROWS

### TRANSIENT

    public static final int TRANSIENT

### TRUE

    public static final int TRUE

### TRY

    public static final int TRY

### VOID

    public static final int VOID

### VOLATILE

    public static final int VOLATILE

### WHILE

    public static final int WHILE

### STRICTFP

    public static final int STRICTFP

### ASSERT

    public static final int ASSERT

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

### DECIMAL_LITERAL

    public static final int DECIMAL_LITERAL

### HEX_LITERAL

    public static final int HEX_LITERAL

### OCTAL_LITERAL

    public static final int OCTAL_LITERAL

### FLOATING_POINT_LITERAL

    public static final int FLOATING_POINT_LITERAL

### EXPONENT

    public static final int EXPONENT

### CHARACTER_LITERAL

    public static final int CHARACTER_LITERAL

### STRING_LITERAL

    public static final int STRING_LITERAL

### IDENTIFIER

    public static final int IDENTIFIER

### LETTER

    public static final int LETTER

### DIGIT

    public static final int DIGIT

### LPAREN

    public static final int LPAREN

### RPAREN

    public static final int RPAREN

### LBRACE

    public static final int LBRACE

### RBRACE

    public static final int RBRACE

### LBRACKET

    public static final int LBRACKET

### RBRACKET

    public static final int RBRACKET

### SEMICOLON

    public static final int SEMICOLON

### COMMA

    public static final int COMMA

### DOT

    public static final int DOT

### ASSIGN

    public static final int ASSIGN

### GT

    public static final int GT

### LT

    public static final int LT

### BANG

    public static final int BANG

### TILDE

    public static final int TILDE

### HOOK

    public static final int HOOK

### COLON

    public static final int COLON

### EQ

    public static final int EQ

### LE

    public static final int LE

### GE

    public static final int GE

### NE

    public static final int NE

### SC_OR

    public static final int SC_OR

### SC_AND

    public static final int SC_AND

### INCR

    public static final int INCR

### DECR

    public static final int DECR

### PLUS

    public static final int PLUS

### MINUS

    public static final int MINUS

### STAR

    public static final int STAR

### SLASH

    public static final int SLASH

### BIT_AND

    public static final int BIT_AND

### BIT_OR

    public static final int BIT_OR

### XOR

    public static final int XOR

### REM

    public static final int REM

### LSHIFT

    public static final int LSHIFT

### RSIGNEDSHIFT

    public static final int RSIGNEDSHIFT

### RUNSIGNEDSHIFT

    public static final int RUNSIGNEDSHIFT

### PLUSASSIGN

    public static final int PLUSASSIGN

### MINUSASSIGN

    public static final int MINUSASSIGN

### STARASSIGN

    public static final int STARASSIGN

### SLASHASSIGN

    public static final int SLASHASSIGN

### ANDASSIGN

    public static final int ANDASSIGN

### ORASSIGN

    public static final int ORASSIGN

### XORASSIGN

    public static final int XORASSIGN

### REMASSIGN

    public static final int REMASSIGN

### LSHIFTASSIGN

    public static final int LSHIFTASSIGN

### RSIGNEDSHIFTASSIGN

    public static final int RSIGNEDSHIFTASSIGN

### RUNSIGNEDSHIFTASSIGN

    public static final int RUNSIGNEDSHIFTASSIGN

### DEFAULT

    public static final int DEFAULT

### IN_SINGLE_LINE_COMMENT

    public static final int IN_SINGLE_LINE_COMMENT

### IN_MULTI_LINE_COMMENT

    public static final int IN_MULTI_LINE_COMMENT

### IN_JAVADOC_COMMENT

    public static final int IN_JAVADOC_COMMENT

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License